import type { App } from 'vue'
import 'xe-utils'
import {
  VxeIcon,
  VxeLoading,
  // VxeGrid,
  VxeTooltip,
  // VxeToolbar,
  // VxePager,
  // VxeForm,
  // VxeFormItem,
  // VxeFormGather,
  // VxeCheckbox,
  // VxeCheckboxGroup,
  // VxeRadio,
  // VxeRadioGroup,
  // VxeRadioButton,
  // VxeSwitch,
  // VxeInput,
  // VxeSelect,
  // VxeOptgroup,
  // VxeOption,
  // VxeTextarea,
  VxeButton,
  // VxeButtonGroup,
  VxeModal
  // VxeDrawer,
  // VxeList,
  // VxePulldown
} from 'vxe-pc-ui'
import {
  VxeUI,
  VXETable,
  VxeTable,
  VxeColumn,
  VxeColgroup,
  // VxeGrid,
  VxeToolbar
} from 'vxe-table'
import VxeUIPluginRenderElement from '@vxe-ui/plugin-render-element'
import '@vxe-ui/plugin-render-element/dist/style.css'
import 'vxe-table/styles/cssvar.scss'
import 'vxe-pc-ui/styles/cssvar.scss'

// 导入默认的语言
import zhCN from 'vxe-pc-ui/lib/language/zh-CN'
import '@/utils/tableFormat'

VXETable.setI18n('zh-CN', zhCN)
VXETable.setLanguage('zh-CN')
VxeUI.use(VxeUIPluginRenderElement)

function LazyVxeUI(app: any) {
  app.use(VxeIcon)
  app.use(VxeLoading)
  // app.use(VxeVxeGrid)
  app.use(VxeTooltip)
  // app.use(VxeToolbar)
  // app.use(VxePager)
  // app.use(VxeForm)
  // app.use(VxeFormItem)
  // app.use(VxeFormGather)
  // app.use(VxeCheckbox)
  // app.use(VxeCheckboxGroup)
  // app.use(VxeRadio)
  // app.use(VxeRadioGroup)
  // app.use(VxeRadioButton)
  // app.use(VxeSwitch)
  // app.use(VxeInput)
  // app.use(VxeSelect)
  // app.use(VxeOptgroup)
  // app.use(VxeOption)
  // app.use(VxeTextarea)
  app.use(VxeButton)
  // app.use(VxeButtonGroup)
  app.use(VxeModal)
  // app.use(VxeDrawer)
  // app.use(VxeList)
  // app.use(VxePulldown)
}
function LazyVxeTable(app: any) {
  app.use(VxeTable)
  app.use(VxeColumn)
  app.use(VxeColgroup)
  // app.use(VxeGrid)
  app.use(VxeToolbar)
}
function registerVxeTable(app: App): void {
  app.use(LazyVxeUI)
  app.use(LazyVxeTable)
}

export default registerVxeTable
